Bug 1330084 (CVE-2015-2181, CVE-2015-8864, CVE-2016-4068, CVE-2016-4069) - CVE-2015-2181 CVE-2015-8864 CVE-2016-4068 CVE-2016-4069 roundcubemail: security issues fixed in version 1.0.9
Summary: CVE-2015-2181 CVE-2015-8864 CVE-2016-4068 CVE-2016-4069 roundcubemail: securi...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-2181, CVE-2015-8864, CVE-2016-4068, CVE-2016-4069
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1330085 1330086
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-25 11:38 UTC by Martin Prpič
Modified: 2019-09-29 13:48 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-31 10:23:39 UTC


Attachments (Terms of Use)

Description Martin Prpič 2016-04-25 11:38:21 UTC
Three issues were fixed in roundcubemail 1.0.9:

https://github.com/roundcube/roundcubemail/releases/tag/1.0.9

(CVE-2015-8864,CVE-2016-4068) Fix XSS issue in SVG images handling (#4949):

https://github.com/roundcube/roundcubemail/issues/4949

(CVE-2016-4069) Protect download urls against CSRF using unique request tokens (#4957):

https://github.com/roundcube/roundcubemail/issues/4957

(CVE-2015-2181) Fix (again) security issue in DBMail driver of password plugin (#4958):

https://github.com/roundcube/roundcubemail/issues/4958

Comment 1 Martin Prpič 2016-04-25 11:38:48 UTC
Created roundcubemail tracking bugs for this issue:

Affects: fedora-all [bug 1330085]
Affects: epel-all [bug 1330086]

Comment 2 Fedora Update System 2016-04-30 23:52:44 UTC
roundcubemail-1.1.5-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2016-05-01 00:21:34 UTC
roundcubemail-1.1.5-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2016-05-07 12:00:17 UTC
roundcubemail-1.1.5-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2016-05-12 04:39:27 UTC
roundcubemail-1.1.5-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-05-12 05:08:43 UTC
roundcubemail-1.0.9-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.